`timescale 1ps / 1ps
module ex_tb;
	reg clock;
	reg start; 
	reg reset; 
	reg [31:0] i_x;
	reg [31:0] i_y;
	reg [31:0] i_u;
	reg [31:0] i_dx;
	wire [31:0] o_x;
	wire [31:0] o_y;
	wire [31:0] o_u;
	wire comp;
	
	ex uut( 
	.clock(clock), 
	.start(start), 
	.reset(reset), 
	.i_x(i_x), 
	.i_y(i_y), 
	.i_u(i_u), 
	.i_dx(i_dx),
	.o_x(o_x),
	.o_y(o_y), 
	.o_u(o_u), 
	.comp(comp)
	);

	initial begin
	 clock = 0;
	 reset = 0;
	 start = 0;
	 i_x = 0;
	 i_y = 0;
	 i_u = 0;
	 i_dx = 0;
	 #4500
	 reset = 1;
	 #9000
	 reset = 0;
	 #7000
	 start = 1;
	 i_x = 947; 
	 i_y = 14; 
	 i_u = 9859; 
	 i_dx = 0; 

	 #9000 
	 i_x = 916; 
	 i_y = 9; 
	 i_u = 4098; 
	 i_dx = 8; 

	 #9000 
	 i_x = 618; 
	 i_y = 25; 
	 i_u = 1875; 
	 i_dx = 2; 

	 #9000 
	 i_x = 414; 
	 i_y = 78; 
	 i_u = 431; 
	 i_dx = 5; 

	 #9000 
	 i_x = 581; 
	 i_y = 34; 
	 i_u = 4375; 
	 i_dx = 5; 

	 #9000 
	 i_x = 578; 
	 i_y = 97; 
	 i_u = 1435; 
	 i_dx = 8; 

	 #9000 
	 i_x = 117; 
	 i_y = 96; 
	 i_u = 4140; 
	 i_dx = 0; 

	 #9000 
	 i_x = 732; 
	 i_y = 81; 
	 i_u = 6134; 
	 i_dx = 1; 

	 #9000 
	 i_x = 104; 
	 i_y = 4; 
	 i_u = 914; 
	 i_dx = 2; 

	 #9000 
	 i_x = 836; 
	 i_y = 2; 
	 i_u = 2260; 
	 i_dx = 4; 

	 #9000 
	 i_x = 913; 
	 i_y = 4; 
	 i_u = 1899; 
	 i_dx = 2; 

	 #9000 
	 i_x = 21; 
	 i_y = 86; 
	 i_u = 6648; 
	 i_dx = 1; 

	 #9000 
	 i_x = 325; 
	 i_y = 51; 
	 i_u = 588; 
	 i_dx = 5; 

	 #9000 
	 i_x = 762; 
	 i_y = 69; 
	 i_u = 8566; 
	 i_dx = 2; 

	 #9000 
	 i_x = 371; 
	 i_y = 68; 
	 i_u = 6714; 
	 i_dx = 7; 

	 #9000 
	 i_x = 30; 
	 i_y = 2; 
	 i_u = 9536; 
	 i_dx = 9; 

	 #9000 
	 i_x = 722; 
	 i_y = 39; 
	 i_u = 1247; 
	 i_dx = 6; 

	 #9000 
	 i_x = 636; 
	 i_y = 87; 
	 i_u = 6629; 
	 i_dx = 4; 

	 #9000 
	 i_x = 982; 
	 i_y = 4; 
	 i_u = 4329; 
	 i_dx = 9; 

	 #9000 
	 i_x = 279; 
	 i_y = 38; 
	 i_u = 8364; 
	 i_dx = 1; 

	 #9000 
	 i_x = 968; 
	 i_y = 36; 
	 i_u = 9854; 
	 i_dx = 8; 

	 #9000 
	 i_x = 93; 
	 i_y = 78; 
	 i_u = 572; 
	 i_dx = 5; 

	 #9000 
	 i_x = 411; 
	 i_y = 91; 
	 i_u = 7820; 
	 i_dx = 7; 

	 #9000 
	 i_x = 176; 
	 i_y = 27; 
	 i_u = 4876; 
	 i_dx = 7; 

	 #9000 
	 i_x = 517; 
	 i_y = 22; 
	 i_u = 890; 
	 i_dx = 6; 

	 #9000 
	 i_x = 234; 
	 i_y = 36; 
	 i_u = 5975; 
	 i_dx = 6; 

	 #9000 
	 i_x = 329; 
	 i_y = 53; 
	 i_u = 7981; 
	 i_dx = 6; 

	 #9000 
	 i_x = 812; 
	 i_y = 28; 
	 i_u = 594; 
	 i_dx = 5; 

	 #9000 
	 i_x = 206; 
	 i_y = 84; 
	 i_u = 3086; 
	 i_dx = 2; 

	 #9000 
	 i_x = 830; 
	 i_y = 24; 
	 i_u = 4023; 
	 i_dx = 2; 

	 #9000 
	 i_x = 246; 
	 i_y = 57; 
	 i_u = 6979; 
	 i_dx = 0; 

	 #9000 
	 i_x = 549; 
	 i_y = 95; 
	 i_u = 1040; 
	 i_dx = 8; 

	 #9000 
	 i_x = 356; 
	 i_y = 61; 
	 i_u = 8124; 
	 i_dx = 9; 

	 #9000 
	 i_x = 317; 
	 i_y = 40; 
	 i_u = 8382; 
	 i_dx = 2; 

	 #9000 
	 i_x = 779; 
	 i_y = 48; 
	 i_u = 6436; 
	 i_dx = 7; 

	 #9000 
	 i_x = 420; 
	 i_y = 62; 
	 i_u = 4105; 
	 i_dx = 2; 

	 #9000 
	 i_x = 369; 
	 i_y = 34; 
	 i_u = 4528; 
	 i_dx = 5; 

	 #9000 
	 i_x = 650; 
	 i_y = 80; 
	 i_u = 8338; 
	 i_dx = 5; 

	 #9000 
	 i_x = 175; 
	 i_y = 64; 
	 i_u = 383; 
	 i_dx = 2; 

	 #9000 
	 i_x = 751; 
	 i_y = 74; 
	 i_u = 205; 
	 i_dx = 8; 

	 #9000 
	 i_x = 334; 
	 i_y = 40; 
	 i_u = 9736; 
	 i_dx = 2; 

	 #9000 
	 i_x = 963; 
	 i_y = 83; 
	 i_u = 9105; 
	 i_dx = 5; 

	 #9000 
	 i_x = 988; 
	 i_y = 45; 
	 i_u = 968; 
	 i_dx = 6; 

	 #9000 
	 i_x = 70; 
	 i_y = 77; 
	 i_u = 5471; 
	 i_dx = 2; 

	 #9000 
	 i_x = 322; 
	 i_y = 87; 
	 i_u = 5032; 
	 i_dx = 3; 

	 #9000 
	 i_x = 184; 
	 i_y = 85; 
	 i_u = 6446; 
	 i_dx = 9; 

	 #9000 
	 i_x = 411; 
	 i_y = 44; 
	 i_u = 6434; 
	 i_dx = 8; 

	 #9000 
	 i_x = 16; 
	 i_y = 27; 
	 i_u = 9102; 
	 i_dx = 5; 

	 #9000 
	 i_x = 994; 
	 i_y = 12; 
	 i_u = 9509; 
	 i_dx = 3; 

	 #9000 
	 i_x = 161; 
	 i_y = 47; 
	 i_u = 4695; 
	 i_dx = 2; 

	 #9000 
	 i_x = 400; 
	 i_y = 54; 
	 i_u = 7291; 
	 i_dx = 0; 

	 #9000 
	 i_x = 396; 
	 i_y = 96; 
	 i_u = 4532; 
	 i_dx = 7; 

	 #9000 
	 i_x = 98; 
	 i_y = 45; 
	 i_u = 485; 
	 i_dx = 4; 

	 #9000 
	 i_x = 827; 
	 i_y = 73; 
	 i_u = 5569; 
	 i_dx = 7; 

	 #9000 
	 i_x = 864; 
	 i_y = 72; 
	 i_u = 3611; 
	 i_dx = 6; 

	 #9000 
	 i_x = 82; 
	 i_y = 51; 
	 i_u = 1459; 
	 i_dx = 1; 

	 #9000 
	 i_x = 119; 
	 i_y = 40; 
	 i_u = 9458; 
	 i_dx = 9; 

	 #9000 
	 i_x = 564; 
	 i_y = 72; 
	 i_u = 9338; 
	 i_dx = 6; 

	 #9000 
	 i_x = 245; 
	 i_y = 14; 
	 i_u = 5556; 
	 i_dx = 6; 

	 #9000 
	 i_x = 0; 
	 i_y = 68; 
	 i_u = 4197; 
	 i_dx = 8; 

	 #9000 
	 i_x = 112; 
	 i_y = 81; 
	 i_u = 7158; 
	 i_dx = 0; 

	 #9000 
	 i_x = 702; 
	 i_y = 90; 
	 i_u = 204; 
	 i_dx = 0; 

	 #9000 
	 i_x = 958; 
	 i_y = 20; 
	 i_u = 6241; 
	 i_dx = 7; 

	 #9000 
	 i_x = 272; 
	 i_y = 66; 
	 i_u = 2364; 
	 i_dx = 0; 

	 #9000 
	 i_x = 495; 
	 i_y = 63; 
	 i_u = 9826; 
	 i_dx = 9; 

	 #9000 
	 i_x = 701; 
	 i_y = 2; 
	 i_u = 4824; 
	 i_dx = 7; 

	 #9000 
	 i_x = 388; 
	 i_y = 82; 
	 i_u = 7617; 
	 i_dx = 1; 

	 #9000 
	 i_x = 660; 
	 i_y = 97; 
	 i_u = 9444; 
	 i_dx = 7; 

	 #9000 
	 i_x = 572; 
	 i_y = 13; 
	 i_u = 1075; 
	 i_dx = 3; 

	 #9000 
	 i_x = 55; 
	 i_y = 48; 
	 i_u = 998; 
	 i_dx = 2; 

	 #9000 
	 i_x = 87; 
	 i_y = 85; 
	 i_u = 7890; 
	 i_dx = 8; 

	 #9000 
	 i_x = 878; 
	 i_y = 6; 
	 i_u = 5194; 
	 i_dx = 6; 

	 #9000 
	 i_x = 368; 
	 i_y = 29; 
	 i_u = 209; 
	 i_dx = 1; 

	 #9000 
	 i_x = 208; 
	 i_y = 52; 
	 i_u = 4358; 
	 i_dx = 8; 

	 #9000 
	 i_x = 341; 
	 i_y = 69; 
	 i_u = 2418; 
	 i_dx = 7; 

	 #9000 
	 i_x = 706; 
	 i_y = 44; 
	 i_u = 8165; 
	 i_dx = 3; 

	 #9000 
	 i_x = 743; 
	 i_y = 37; 
	 i_u = 1670; 
	 i_dx = 2; 

	 #9000 
	 i_x = 679; 
	 i_y = 25; 
	 i_u = 9486; 
	 i_dx = 2; 

	 #9000 
	 i_x = 130; 
	 i_y = 80; 
	 i_u = 528; 
	 i_dx = 3; 

	 #9000 
	 i_x = 396; 
	 i_y = 9; 
	 i_u = 2566; 
	 i_dx = 7; 

	 #9000 
	 i_x = 498; 
	 i_y = 42; 
	 i_u = 4003; 
	 i_dx = 1; 

	 #9000 
	 i_x = 612; 
	 i_y = 6; 
	 i_u = 1623; 
	 i_dx = 6; 

	 #9000 
	 i_x = 192; 
	 i_y = 1; 
	 i_u = 6537; 
	 i_dx = 8; 

	 #9000 
	 i_x = 788; 
	 i_y = 91; 
	 i_u = 8131; 
	 i_dx = 3; 

	 #9000 
	 i_x = 10; 
	 i_y = 87; 
	 i_u = 5750; 
	 i_dx = 7; 

	 #9000 
	 i_x = 905; 
	 i_y = 34; 
	 i_u = 8375; 
	 i_dx = 1; 

	 #9000 
	 i_x = 678; 
	 i_y = 42; 
	 i_u = 5356; 
	 i_dx = 1; 

	 #9000 
	 i_x = 795; 
	 i_y = 44; 
	 i_u = 868; 
	 i_dx = 9; 

	 #9000 
	 i_x = 125; 
	 i_y = 32; 
	 i_u = 6175; 
	 i_dx = 3; 

	 #9000 
	 i_x = 245; 
	 i_y = 34; 
	 i_u = 4294; 
	 i_dx = 7; 

	 #9000 
	 i_x = 193; 
	 i_y = 89; 
	 i_u = 9690; 
	 i_dx = 1; 

	 #9000 
	 i_x = 556; 
	 i_y = 46; 
	 i_u = 7912; 
	 i_dx = 4; 

	 #9000 
	 i_x = 716; 
	 i_y = 10; 
	 i_u = 6655; 
	 i_dx = 8; 

	 #9000 
	 i_x = 52; 
	 i_y = 52; 
	 i_u = 4041; 
	 i_dx = 9; 

	 #9000 
	 i_x = 459; 
	 i_y = 60; 
	 i_u = 3837; 
	 i_dx = 6; 

	 #9000 
	 i_x = 937; 
	 i_y = 57; 
	 i_u = 7113; 
	 i_dx = 4; 

	 #9000 
	 i_x = 771; 
	 i_y = 23; 
	 i_u = 442; 
	 i_dx = 6; 

	 #9000 
	 i_x = 650; 
	 i_y = 72; 
	 i_u = 3928; 
	 i_dx = 3; 

	 #9000 
	 i_x = 787; 
	 i_y = 32; 
	 i_u = 5691; 
	 i_dx = 0; 

	 #9000 
	 i_x = 555; 
	 i_y = 65; 
	 i_u = 1417; 
	 i_dx = 6; 

	 #9000 	 
	 start = 0;
	 #54000
	 $finish;
	end
	always #4500 clock = ~clock; 
endmodule
